#include <iostream>

using namespace std;

int srediCifru(int a)
{
    if(a==0)
        return 0;
    else if(a>=5)
        return 1+srediCifru(a-5);
    else if(a>=2)
        return 1+srediCifru(a-2);
    else if(a>=1)
        return 1+srediCifru(a-1);
}
int main()
{
    long long v;
    cin>>v;

    long brNovcanica=0;

    while (v!=0)
        {
            int t=srediCifru(v%10);
            brNovcanica+=t;
            v/=10;
        }

    cout<<brNovcanica;
    return 0;
}